Bug 230307 - Printer page size wrong in FC6; worked in FC5
Printer page size wrong in FC6; worked in FC5
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
6
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-27 23:28 EST by Richard M Kelly
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-28 04:31:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard M Kelly 2007-02-27 23:28:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.1) Gecko/20070209 Firefox/2.0.0.1

Description of problem:
I recently switched from FC5 to FC6, and the page size on my printer is now wrong. The page size should be Letter, but it appears to be A4 instead. As a result, all test output pages run off the bottom of the page roughly 1/2 inch. Printouts from other programs also run off the bottom of the page. The numbers on the CUPS v1.2.x test page and also the "alignmargins" script's test page are the right numbers for A4 paper.

All installed RPMs were up to date as of a few days ago.

The printer is a Brother HL-2070N, and I got the latest drivers from the Brother web site on Feb 25. The drivers are brhl2070nlpr-2.0.0-1 and cupswrapperHL2070N-2.0.0-1, but I also tried brhl2070nlpr-1.1.2-2 and cupswrapperHL2070N-1.0.0-1 (which work fine under FC5).  I have SELinux set to "enforcing" and have applied the SELinux fix described in the Brother FAQ (which also worked fine under FC5).  The numbers in the PPD files look right for all the different paper sizes, and the default page size in the HL2070N.ppd file is Letter.

None of these things fixed the problem:
- changing page size several times with CUPS, KDE, and system-config-printer
- deleting and re-adding printer in CUPS
- removing and re-installing the driver RPMs
- switching from latest versions of drivers to earlier versions (which worked under FC5)
- using the -o option in lp and lpr to override the default page size

FIX / WORKAROUND

The /usr/local/Brother/inf/brHL2070Nrc file contained a "PaperType=A4" line, which was "PaperType=Letter" in the old driver packages.  So I changed that to "PaperType=Letter", restarted CUPS, and everything printed perfectly after that.  I don't know if this is a real fix or just a workaround.

OTHER NOTES

1. The top lines of the old and new brHL2070Nrc files list different printer models.  I don't know if this is meaningful or not.

2. In CUPS via the web browser, doing a "modify printer" causes two of the HL2070N.ppd values (DefaultImageableArea and DefaultPaperDimension) to change from Letter back to A4.  The other two defaults (DefaultPageSize and DefaultPageRegion) don't change.  Using "set printer options" to change the media fixes that problem.  I don't know if this is related or is a different problem.


Version-Release number of selected component (if applicable):
cups-1.2.7-1.8.fc6

How reproducible:
Always


Steps to Reproduce:
1. In CUPS via web browser, install printer.
2. Set printer option for "Letter" paper.
3. Print CUPS test page.


Actual Results:
The CUPS test page runs off the bottom of the paper.

Expected Results:
The CUPS test page should end just above the bottom of the paper.


Additional info:
Comment 1 Tim Waugh 2007-02-28 04:31:58 EST
> FIX / WORKAROUND
> 
> The /usr/local/Brother/inf/brHL2070Nrc file contained a "PaperType=A4" line,
> which was "PaperType=Letter" in the old driver packages.  So I changed that to 
> "PaperType=Letter", restarted CUPS, and everything printed perfectly after 
> that.  I don't know if this is a real fix or just a workaround.

Brother's printer driver needs to honour the PPD setting.

Note You need to log in before you can comment on or make changes to this bug.